Subject: [bug#49981] wip: Introduce unit-tests.

From: zimoun <[email-masked]>
Date: Tue, 31 Aug 2021 08:27:54 +0200

Hi,

On Mon, 30 Aug 2021 at 16:14, Maxim Cournoyer <[email-masked]> wrote:

> 2. One gripe that I have for the check-system tests is that for flaky
> tests, if they pass, the success is cached (it's a derivation) and
> there's no easy way to re-run them.  I wouldn't want that property to
> now apply to unit tests as well.

Well, maybe all these derivations could be garbage collected at the end
of the tests.  But then, local development will hit bug#24937 [1] about
GC performances.

1: <http://issues.guix.gnu.org/issue/24937>

Cheers,
simon